[arch-commits] Commit in vlc/repos (3 files)

Giovanni Scafora giovanni at archlinux.org
Sun Dec 6 23:54:45 UTC 2009


    Date: Sunday, December 6, 2009 @ 18:54:45
  Author: giovanni
Revision: 60770

Merged revisions 60769 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/vlc/trunk

........
  r60769 | giovanni | 2009-12-06 15:53:34 -0800 (dom, 06 dic 2009) | 2 lines
  
  upgpkg: vlc 1.0.3-2
      Fixed fullscreen issue, added optional ncurses interface support
........

Added:
  vlc/repos/extra-i686/vlc-1.0.3_fixfullscreen.patch
    (from rev 60769, vlc/trunk/vlc-1.0.3_fixfullscreen.patch)
Modified:
  vlc/repos/extra-i686/	(properties)
  vlc/repos/extra-i686/PKGBUILD

-------------------------------+
 PKGBUILD                      |   14 +++++--
 vlc-1.0.3_fixfullscreen.patch |   74 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 84 insertions(+), 4 deletions(-)


Property changes on: vlc/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /vlc/trunk:1-57002
   + /vlc/trunk:1-60769

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-12-06 23:53:34 UTC (rev 60769)
+++ extra-i686/PKGBUILD	2009-12-06 23:54:45 UTC (rev 60770)
@@ -6,7 +6,7 @@
 pkgname=('vlc' 
          'vlc-plugin')
 pkgver=1.0.3
-pkgrel=1
+pkgrel=2
 arch=('i686' 'x86_64')
 url="http://www.videolan.org/vlc/"
 license=('GPL')
@@ -17,11 +17,15 @@
              'libshout' 'libmad' 'fribidi' 'libmpeg2' 'libmodplug'
              'avahi' 'ttf-freefont' 'libxv' 'libass' 'xdg-utils' 'libxpm'
              'xulrunner' 'pkgconfig' 'live-media>=2009.09.28' 'libnotify')
-source=(http://download.videolan.org/pub/videolan/${pkgbase}/${pkgver}/${pkgbase}-${pkgver}.tar.bz2)
-md5sums=('d0945c2489551c102a3f0f15e4591555')
+source=(http://download.videolan.org/pub/videolan/${pkgbase}/${pkgver}/${pkgbase}-${pkgver}.tar.bz2
+        vlc-1.0.3_fixfullscreen.patch)
+md5sums=('d0945c2489551c102a3f0f15e4591555'
+         '6ee9a787d0a56c88d6a167ebb8211e21')
 
 build() {
   cd ${srcdir}/${pkgbase}-${pkgver}
+  # Fix fullscreen
+  patch -Np1 -i ${srcdir}/vlc-1.0.3_fixfullscreen.patch || return 1
   sed -i -e 's:truetype/freefont:TTF:g' modules/misc/freetype.c
   [ "${CARCH}" = "i686" ] && EXTRAFEATURES="--enable-loader --enable-live555 --with-live555-tree=/usr/lib/live-media"
   [ "${CARCH}" = "x86_64" ] && EXTRAFEATURES="--enable-fast-install --enable-live555 --with-live555-tree=/usr/lib/live-media"
@@ -50,6 +54,7 @@
               --enable-lirc \
               --enable-shout \
               --enable-pvr \
+              --enable-ncurses \
               --enable-mozilla \
               --enable-release \
               --program-suffix= \
@@ -66,7 +71,8 @@
            'taglib' 'sysfsutils' 'libmpcdec' 'hal' 'ffmpeg>=0.5' 
            'libshout' 'libmad' 'fribidi' 'libmpeg2' 'libmodplug'
            'avahi' 'ttf-freefont' 'libxv' 'libass' 'xdg-utils')
-  optdepends=('libnotify')
+  optdepends=('libnotify: for notification plugin' 
+              'ncurses: for ncurses interface support')
   options=('!libtool')
   install=vlc.install
   cd ${srcdir}/${pkgbase}-${pkgver}

Copied: vlc/repos/extra-i686/vlc-1.0.3_fixfullscreen.patch (from rev 60769, vlc/trunk/vlc-1.0.3_fixfullscreen.patch)
===================================================================
--- extra-i686/vlc-1.0.3_fixfullscreen.patch	                        (rev 0)
+++ extra-i686/vlc-1.0.3_fixfullscreen.patch	2009-12-06 23:54:45 UTC (rev 60770)
@@ -0,0 +1,74 @@
+--- a/modules/video_output/x11/xcommon.c
++++ b/modules/video_output/x11/xcommon.c
+@@ -2179,21 +2179,24 @@ static void ToggleFullScreen ( vout_thread_t *p_vout )
+ 
+         if( p_vout->p_sys->b_net_wm_state_fullscreen )
+         {
+-            XClientMessageEvent event;
+-
+-            memset( &event, 0, sizeof( XClientMessageEvent ) );
+-
+-            event.type = ClientMessage;
+-            event.message_type = p_vout->p_sys->net_wm_state;
+-            event.display = p_vout->p_sys->p_display;
+-            event.window = p_vout->p_sys->p_win->base_window;
+-            event.format = 32;
+-            event.data.l[ 0 ] = 1; /* set property */
+-            event.data.l[ 1 ] = p_vout->p_sys->net_wm_state_fullscreen;
++            XClientMessageEvent event = {
++                .type = ClientMessage,
++                .window = p_vout->p_sys->p_win->base_window,
++                .message_type = p_vout->p_sys->net_wm_state,
++                .format = 32,
++                .data = {
++                    .l = {
++                        1, /* set property */
++                        p_vout->p_sys->net_wm_state_fullscreen,
++                        0,
++                        1,
++                    },
++                },
++            };
+ 
+             XSendEvent( p_vout->p_sys->p_display,
+                         DefaultRootWindow( p_vout->p_sys->p_display ),
+-                        False, SubstructureRedirectMask,
++                        False, SubstructureNotifyMask|SubstructureRedirectMask,
+                         (XEvent*)&event );
+         }
+ 
+--- a/modules/video_output/x11/xcommon.c
++++ b/modules/video_output/x11/xcommon.c
+@@ -2169,14 +2169,13 @@ static void ToggleFullScreen ( vout_thread_t *p_vout )
+                                      p_vout->p_sys->p_win->base_window,
+                                      CWOverrideRedirect,
+                                      &attributes);
+-
+-            /* Make sure the change is effective */
+-            XReparentWindow( p_vout->p_sys->p_display,
+-                             p_vout->p_sys->p_win->base_window,
+-                             DefaultRootWindow( p_vout->p_sys->p_display ),
+-                             0, 0 );
+         }
+ 
++        /* Make sure the change is effective */
++        XReparentWindow( p_vout->p_sys->p_display,
++                         p_vout->p_sys->p_win->base_window,
++                         DefaultRootWindow( p_vout->p_sys->p_display ), 0, 0 );
++
+         if( p_vout->p_sys->b_net_wm_state_fullscreen )
+         {
+             XClientMessageEvent event = {
+@@ -2215,11 +2214,6 @@ static void ToggleFullScreen ( vout_thread_t *p_vout )
+  * as really the wm should be deciding if, on fullscreening of a window
+  * the focus should go there or not, so let the wm decided */
+ #define APPFOCUS 0
+-        /* Make sure the change is effective */
+-        XReparentWindow( p_vout->p_sys->p_display,
+-                         p_vout->p_sys->p_win->base_window,
+-                         DefaultRootWindow( p_vout->p_sys->p_display ),
+-                         0, 0 );
+ 
+ #ifdef HAVE_XINERAMA
+         if( XineramaQueryExtension( p_vout->p_sys->p_display, &i_d1, &i_d2 ) &&
+




More information about the arch-commits mailing list